<!--
	Soubor:  functions.php
	Nazev:   Jednoduchy chat 
	Autor:   David Pilar
	Login:   pil032
	Skupina: L394
	Datum:   13.4.2003
-->

<?php
	$tempname = "temp.txt";
	$souborname = "chat.txt";
	
	function dej_cas() {
		return date('H:i:s',time());
	}
	
	function smailiky($text) {
		$text = ereg_replace(":-)", "<img src=\"images/smail_1.gif\">", $text);
		$text = ereg_replace(":o)", "<img src=\"images/smail_1.gif\">", $text);
		$text = ereg_replace(":)", "<img src=\"images/smail_1.gif\">", $text);
		$text = ereg_replace(":-\(", "<img src=\"images/smail_2.gif\">", $text);
		$text = ereg_replace(":o\(", "<img src=\"images/smail_2.gif\">", $text);
		$text = ereg_replace(":\(", "<img src=\"images/smail_2.gif\">", $text);
		$text = ereg_replace(";-)", "<img src=\"images/smail_3.gif\">", $text);
		$text = ereg_replace(";o)", "<img src=\"images/smail_3.gif\">", $text);
		$text = ereg_replace(";)", "<img src=\"images/smail_3.gif\">", $text);
		$text = ereg_replace(".-)", "<img src=\"images/smail_3.gif\">", $text);
		$text = ereg_replace(".o)", "<img src=\"images/smail_3.gif\">", $text);
		$text = ereg_replace("\.)", "<img src=\"images/smail_3.gif\">", $text);	
		$text = ereg_replace(":-/", "<img src=\"images/smail_4.gif\">", $text);
		$text = ereg_replace(":o/", "<img src=\"images/smail_4.gif\">", $text);
		$text = ereg_replace(":/", "<img src=\"images/smail_4.gif\">", $text);
		$text = ereg_replace(":-D", "<img src=\"images/smail_5.gif\">", $text);
		$text = ereg_replace(":oD", "<img src=\"images/smail_5.gif\">", $text);
		$text = ereg_replace(":D", "<img src=\"images/smail_5.gif\">", $text);
		$text = ereg_replace(":-\*", "<img src=\"images/smail_6.gif\">", $text);
		$text = ereg_replace(":o\*", "<img src=\"images/smail_6.gif\">", $text);
		$text = ereg_replace(":\*", "<img src=\"images/smail_6.gif\">", $text);
		$text = ereg_replace(":-q", "<img src=\"images/smail_7.gif\">", $text);
		$text = ereg_replace(":oq", "<img src=\"images/smail_7.gif\">", $text);
		$text = ereg_replace(":q", "<img src=\"images/smail_7.gif\">", $text);
		$text = ereg_replace(":-p", "<img src=\"images/smail_7.gif\">", $text);
		$text = ereg_replace(":op", "<img src=\"images/smail_7.gif\">", $text);
		$text = ereg_replace(":p", "<img src=\"images/smail_7.gif\">", $text);
		return $text;
	}
	
	function otevrit($filename, $rezim) {
		if (!$soubor = fopen($filename, $rezim)) {
			echo("Soubor $filename nelze otevrit!");
			return false;
		}
		else
			return $soubor;
	}
	
	function precti_radek($file) {
		$text = "";
		while((($znak = fgetc($file)) != "\n")&&(!feof($file)))
			$text = $text . $znak;
		$text = $text . "\n";
		return $text;
	}
	
	function zapis_60_radku($text, $readfile, $writefile) {
		if ($writesoub = otevrit($writefile, "w")) {
			if ($readsoub = otevrit($readfile, "r")) {
				$radek = 1;
				fwrite($writesoub, $text);
				while (!feof($readsoub)) {
					$radek++;
					$cist = precti_radek($readsoub);
					fwrite($writesoub, $cist);
					if ($radek == 60)
						break;
				}
				fclose($readsoub);
			}
			fclose($writesoub);
			copy($writefile, $readfile);
		}
	}
	
	function cteni_radku($readfile, $radku) {
		if ($soubor = otevrit($readfile,"r")) {
			$radek = 1;
			while (!feof($soubor)) {
				$radek++;
				echo(precti_radek($soubor));
				if ($radek > $radku)
					break;
			}
			fclose($soubor);
		}
	}
?>